DF(1)                      Benutzerkommandos                      DF(1)

NAME
     df - Freien Speicherplatz auf Medium anzeigen

SYNOPSIS
     df [-akP][drive:...][files...]

BESCHREIBUNG
     df (disk free) zeigt an, wieviele Kbytes auf einem GEMDOS-Laufwerk 
     belegt und frei sind, wieviele Kbytes insgesamt zur Verfgung 
     stehen und mit welchem Volume-Namen das Medium versehen ist. Wenn 
     mglich (AHDI-kompatibler oder XHDI-kompatibler Festplattentreiber) 
     wird auch ausgegeben, welches logische Laufwerk auf welcher Fest-
     platte liegt.

     Ohne Argumente erfolgt diese Anzeige fr alle angeschlossenen 
     Laufwerke mit Kennung ungleich A: oder B:, bei denen die Blockzahl 
     ungleich Null ist. Ansonsten drfen als Parameter sowohl Lauf-
     werksnamen (zum Beispiel C:) wie auch beliebige Datei- oder Ord-
     nernamen angegeben werden (dann wird das dazugehrige Laufwerk 
     ausgewhlt).

     Als Bezeichnung fr das Dateisystem wird ein String folgenden 
     Formats benutzt:

     ?         Ursprung des Dateisystems unbekannt

     oder

     ACSI.Major.Minor.Startblock
     SCSI.Major.Minor.Startblock
     FD.Minor.Startblock
     XHDI.Major.Minor.Startblock

     Format:

     Major          'Major' Gertenummer. Normalerweise: Nummer des Bus-
                    Targets (zur Zeit 0..7).

     Minor          'Minor' Gertenummer. Normalerweise die 'Logical 
                    Unit Number' des Laufwerks.

     Startblock     Nummer des ersten Blocks des Dateisystems auf dem 
                    angegebenen Gert.


OPTIONEN
     -a, --all
          Ausgabe geschieht fr alle dem GEMDOS bekannten Laufwerke. 
          Dazu wird die GEMDOS-Funktion `Dsetdrv()' konsultiert.

     -k, --kilobytes
          Ausgabe in Kilobytes statt in 512-Byte-Blcken.

     -P, --portable-format
          Ausgabe im Standardformat laut `POSIX 1003.2a' (Draft 8, 
          5.8.6.1).

BEISPIELE
     Informationen ber das aktuelle Verzeichnis abfragen:

     {d:\tc20\xhdi}df .
     Laufwerk          1024-Blcke benutzt    frei   Anteil  install...
     SCSI.0.0.62200          35758   34874     884      97%  D:\

     Informationen ber alle Dateisysteme im portablen Format mit Kilo-
     byte-Blcken erfragen:

     {d:\tc20\xhdi}df --all --portable-format --kilobytes
     Filesystem        1024-blocks    Used Available Capacity Mounted on
     FD.0.0                    713     343       370      48% A:\
     FD.0.0                    713     343       370      48% B:\
     SCSI.0.0.2              31028   30228       800      97% C:\
     SCSI.0.0.62200          35758   34874       884      97% D:\
     SCSI.0.0.133880         35758   34822       936      97% E:\
     SCSI.4.0.2              86664   83312      3352      96% F:\                    

     Zur Erklrung: Das Dateisystem `F:\' liegt auf SCSI-Gert 4 und 
     beginnt auf Sektor 2.

ENVIRONMENT
     BLOCKSIZE      Wenn diese Environmentvariable den Wert 1024 enthlt 
                    und nicht das portable Format gewhlt ist, wird in 
                    1024er- anstelle von 512er-Blcken ausgegeben.

     DONT_USE_MINT  Wenn diese Environmentvariable existiert, wird auf 
                    den Aufruf von MiNT-spezifischen Betriebssystem-
                    funktionen verzichtet.

     LANG           Legt die zu benutzende Landessprache fest, wenn 
                    sowohl `LC_ALL' als auch `LC_MESSAGES' nicht exi-
                    stieren.

     LC_ALL         Wenn diese Environmentvariable auf `german' gesetzt 
                    ist, benutzt df deutschsprachige Meldungen. Bei `C' 
                    und `POSIX' werden englischsprachige Meldungen 
                    gewhlt. Fr andere Werte wird standardmig Eng-
                    lisch benutzt. Existiert diese Variable nicht, wird 
                    stattdessen `LC_MESSAGES' berprft.

     LC_MESSAGES    Siehe `LC_ALL'. Wenn auch diese Variable nicht exi-
                    stiert, wird stattdessen `LANG' benutzt.

     STDERR         Wenn diese Environment-Variable existiert, wird 
                    stderr (Kanal 2) unverndert benutzt. Ansonsten wird 
                    es auf stdout umgelenkt, sofern es auf ein zeichen-
                    orientiertes Gert zeigt.

EXIT STATUS
     0    Alles in Ordnung.
     >0   Es ist ein Fehler aufgetreten.

AUTOR
     Julian F. Reschke (julian@math.uni-muenster.de, jr@ms.maus.de), 
     27. Januar 1992

FEHLER
     Aufgrund eines Fehlers in allen offiziellen GEMDOS-Versionen sind 
     selbst auf einem leeren Medium immer mindestens zwei Blcke belegt.

     Die korrekte Erkennung von SCSI-Gerten klappt zur Zeit nur bei 
     AHDI 4.00 (und dazu kompatiblen Treibern) sowie bei XHDI-1.0-
     kompatiblen Treibern.

     Die Zuordnung von GEMDOS-Dateisystemnamen zu BIOS-Gertennummern 
     ist prinzipiell unsicher und knnte unter Umstnden zu falschen 
     Ergebnissen fhren.

SIEHE AUCH
     XHDI-Spezifikation, Version 1.00
     AHDI 3.00 Release Notes, Atari Corporation, 18. April 1990,
     du(1)

